MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023673Community[OCCT] OCCT:Visualizationpublic2012-12-27 09:372013-04-29 15:21
Reporterszv 
Assigned Tosan 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023673: Static method Image_PixMap::SizePixelBytes is not exported
DescriptionThe method
static Standard_Size SizePixelBytes (const Image_PixMap::ImgFormat thePixelFormat);
misses Standard_EXPORT directive.
This error prevents this method from being exported on Windows.
A particular consequence is that OCC C# Wrapper tool can not wrap this class.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0022857)
san (developer)
2012-12-27 10:09

Could you please have a look?
(0022858)
san (developer)
2012-12-27 10:40

Branch CR23673 ready for reviewing.
(0022860)
kgv (developer)
2012-12-27 11:24

No comments - trivial fix.
(0022968)
mkv (tester)
2013-01-15 17:40

Dear BugMaster,

Branch CR23673 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master a940de41
Timestamp: 2012-12-27 06:43:05
Author: san
Details ] Diff ]
0023673: Static method Image_PixMap::SizePixelBytes is not exported

Static method Standard_Size SizePixelBytes (const Image_PixMap::ImgFormat thePixelFormat)
exported under Windows to prevent link error in the user code.
mod - src/Image/Image_PixMap.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-27 09:37 szv New Issue
2012-12-27 09:37 szv Assigned To => san
2012-12-27 10:09 san Note Added: 0022857
2012-12-27 10:09 san Assigned To san => kgv
2012-12-27 10:09 san Status new => assigned
2012-12-27 10:40 san Note Added: 0022858
2012-12-27 10:40 san Status assigned => resolved
2012-12-27 11:10 szv Summary Static method Image_PixMap::SizePixelBytes misses is not exported => Static method Image_PixMap::SizePixelBytes is not exported
2012-12-27 11:24 kgv Note Added: 0022860
2012-12-27 11:24 kgv Assigned To kgv => bugmaster
2012-12-27 11:24 kgv Severity minor => trivial
2012-12-27 11:24 kgv Status resolved => reviewed
2012-12-27 11:24 kgv Platform => Windows
2012-12-27 15:07 mkv Assigned To bugmaster => mkv
2013-01-15 17:40 mkv Note Added: 0022968
2013-01-15 17:40 mkv Test case number => Not needed
2013-01-15 17:40 mkv Assigned To mkv => bugmaster
2013-01-15 17:40 mkv Status reviewed => tested
2013-01-21 18:29 san Changeset attached => occt master a940de41
2013-01-21 18:29 san Assigned To bugmaster => san
2013-01-21 18:29 san Status tested => verified
2013-01-21 18:29 san Resolution open => fixed
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker